
Foreman - Bug #3903

Menu URLs when relative URL root is used are linking to /

12/18/2013 10:39 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Web Interface   

Target version: 1.4.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

49a98083cb8d0e414b5bbc738044b36a8a161fab / #3790 broke the menu system when running under a relative root URL (export

RAILS_RELATIVE_URL_ROOT=/foreman).  The menu items now link to /ptables etc rather than /foreman/ptables.

Related issues:

Related to Foreman - Bug #3790: Plugin definitions don't support isolate_name... Closed 12/02/2013

Associated revisions

Revision 9b6e45e9 - 02/14/2014 11:36 AM - Lukas Zapletal

fixes #3903 - fixed menu links when relative URLs are set

Revision 82392f7f - 02/19/2014 11:08 AM - Lukas Zapletal

fixes #3903 - fixed menu links when relative URLs are set

(cherry picked from commit 9b6e45e951a8287f2edab48ebd20f18680671abf)

History

#1 - 12/18/2013 10:39 AM - Dominic Cleal

- Related to Bug #3790: Plugin definitions don't support isolate_namespace engines added

#2 - 01/09/2014 02:31 PM - Anonymous

- Target version set to 1.9.2

#3 - 01/17/2014 02:45 PM - Lukas Zapletal

- Status changed from New to Assigned

- Assignee set to Lukas Zapletal

Reproduced. Fixing. Over.

#4 - 01/17/2014 05:01 PM - Lukas Zapletal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1167

#5 - 01/29/2014 02:53 PM - Dominic Cleal

- translation missing: en.field_release deleted (2)

Documented as known issue in 1.4 release notes.

#6 - 02/06/2014 12:12 PM - Anonymous

- Target version changed from 1.9.2 to 1.9.1
https://projects.theforeman.org/issues/3790
https://github.com/theforeman/foreman/pull/1167


#7 - 02/14/2014 11:37 AM - Dominic Cleal

- translation missing: en.field_release set to 5

#8 - 02/14/2014 12:31 PM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 9b6e45e951a8287f2edab48ebd20f18680671abf.
